=== debian/watch ===
version=3

http://fph.altervista.org/prog/bastet.html files/bastet-([\d\.]+)\.tgz
