=== debian/changelog ===
bastet (0.43.2-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:10 +0200

bastet (0.43.2-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:45 +0200

bastet (0.43.2-2) unstable; urgency=medium

  * Team Upload
  * Declare compliance with Debian Policy 4.7.2.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation
  * Update Project-Id-Version

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 10:04:34 +0100

bastet (0.43.2-1) unstable; urgency=medium

  * Team Upload
  * Switch to new repository on GitHub
  * New upstream version 0.43.2
  * Refresh patches
  * Use upstream .desktop file and icons
  * Rewrite d/copyright in machine-readable format

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 17:26:47 +0100
