=== debian/watch ===
version=4
https://github.com/fph/bastet/tags .*/([\d\.]+)\.tar.gz
